logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in RSS X


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.
Post new topic   Forum Index -> News & Hangout View previous topic :: View next topic
Reply to topic   Topic: Apache httpd 2.4.60 GA Available
Author
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 3068
Location: Hilversum, NL, EU

PostPosted: Mon 01 Jul '24 15:58    Post subject: Apache httpd 2.4.60 GA Available Reply with quote

Apache httpd 2.4.60 is released as GA.

ASF and Apachelounge changes : https://www.apachelounge.com/Changelog-2.4.html

Important security vulnerabilities are fixed in 2.4.60, see https://httpd.apache.org/security/vulnerabilities_24.html .

VS17 Win32
The Win32 version is available again, see also discussion https://www.apachelounge.com/viewtopic.php?p=42099
Only build the with the standard Apache modules.
For non-standard modules (like mod_fcgid) use the VS16 Win32 ones at https://www.apachelounge.com/download/VS16/

Documentation: http://httpd.apache.org/docs/2.4/

Build with dependencies:

- openssl 3.1.6
- nghttp2 1.62.1
- jansson 2.14
- curl 8.8.0
- apr 1.7.4
- apr-util 1.6.3
- apr-iconv 1.2.2
- zlib 1.3.1
- brotli 1.1.0
- pcre2 10.44
- libxml2 2.13.1
- lua 5.4.6
- expat 2.6.2

Notes VS17 OpenSSL 3.x.x:

- Only PHP 8.2 and 8.1 (build with 3.x.x) is running as module.
Running with mod_fcgid no issues seen.

For running as module, See also the post from user Otomatic and notes at https://www.apachelounge.com/viewtopic.php?t=8969
and https://www.apachelounge.com/viewtopic.php?t=8938

- With too weak certificates/ciphers Apache does not start, see https://www.apachelounge.com/viewtopic.php?t=8819


Enjoy,

Steffen


Last edited by Steffen on Wed 03 Jul '24 10:41; edited 1 time in total
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 3068
Location: Hilversum, NL, EU

PostPosted: Tue 02 Jul '24 16:25    Post subject: Reply with quote

Httpd 2.4.61 is on the way due a regression in 2.4.60.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 7329
Location: Germany, Next to Hamburg

PostPosted: Wed 03 Jul '24 10:34    Post subject: Reply with quote

Steffen wrote:
Httpd 2.4.61 is on the way due a regression in 2.4.60.
Maybe you can also upadte APR to 1.7.4
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 3068
Location: Hilversum, NL, EU

PostPosted: Wed 03 Jul '24 10:42    Post subject: Reply with quote

A typo, it is running 1.7.4.
Back to top


Reply to topic   Topic: Apache httpd 2.4.60 GA Available View previous topic :: View next topic
Post new topic   Forum Index -> News & Hangout